Check for active web hosting accounts

Determine if you currently have one or more active web hosting accounts with us. This information can be used to tailor offers or guide you to the correct sections of the website.

Web Hosting Hosting Accounts

Context

Used in the dashboard

/cart/cart /cart/en/cart

Query Parameters

details string required · Example: true

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.accounts array<object> · Example: [{"id":"10001","name":"Start","domain":"example.com"}]
data.accounts[].custom_name string · Example: Example Site
data.accounts[].domain string required · Example: example.com
data.accounts[].id string required · Example: 319
data.accounts[].name string required · Example: Anna Svensson
data.count integer required · Example: 0
data.fromCache boolean required · Example: false
data.hasWebhosting boolean required · Example: false
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/cart/existing-webhosting
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/cart/existing-webhosting?details=true" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "hasWebhosting": false,
    "count": 0,
    "fromCache": false
  }
}